std::_Fwd_list_node< _Tp > Struct Template Reference
Inheritance diagram for std::_Fwd_list_node< _Tp >:
[legend]

## Public Member Functions

void | _M_reverse_after () noexcept
_Fwd_list_node_base * | _M_transfer_after (_Fwd_list_node_base *__begin, _Fwd_list_node_base *__end)
_Tp * | _M_valptr () noexcept
const _Tp * | _M_valptr () const noexcept

## Public Attributes

_Fwd_list_node_base * | _M_next
aligned_storage< sizeof(_Tp), alignment_of< _Tp >::value > ::type | _M_storage

## Detailed Description

### template<typename _Tp>
struct std::_Fwd_list_node< _Tp >

A helper node class for forward_list. This is just a linked list with uninitialized storage for a data value in each node. There is a sorting utility method.

Definition at line 94 of file forward_list.h.

The documentation for this struct was generated from the following file:

- forward_list.h